# setSpeed method

Future<void> setSpeed(

1. double speed

)

Change the playback speed

The speed can be changed when player is running, or before startPlayer().

## Parameters

- speed: The parameter is a floating point number between 0 and 1.0 to slow the speed, or 1.0 to n to accelerate the speed.

## Return

- Returns a Future when the function is done.

## Example

    await myPlayer.setSpeed(0.8);

## Implementation

    Future<void> setSpeed(double speed) async {
      await _lock.synchronized(() async {
        await _setSpeed(speed);
      });
    }